Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface AttributeList

All Known Subinterfaces:
  Entity, Row

All Known Implementing Classes:
  ViewCriteriaRow, Key, Struct, AttributeListImpl

public interface AttributeList

Provides access to a list of attributes.

Since:
  JDeveloper 3.0

Method Summary
`java.lang.Object` | `getAttribute(int index)` Selects the attribute at the given index.
`java.lang.Object` | `getAttribute(java.lang.String name)` Selects the attribute with the given name.
`int` | `getAttributeCount()` Counts the number of attributes.
`int` | `getAttributeIndexOf(java.lang.String name)` Find the index of the named attribute.
`void` | `setAttribute(int index, java.lang.Object value)` Sets the value of an attribute.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Set the value for the named attribute.

Method Detail

### getAttribute

    public java.lang.Object getAttribute(int index)

  Selects the attribute at the given index.
  Parameters:
    `index` - an integer in the range `0` to `getAttributeCount() - 1`.
  Returns:
    the attribute associated with `index`.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Selects the attribute with the given name.
  Parameters:
    `name` - an attribute name.
  Returns:
    the attribute associated with `name`.
  Throws:
    `JboException`, - a runtime exception, if `name` is unknown.

### setAttribute

    public void setAttribute(int index,
                             java.lang.Object value)

  Sets the value of an attribute.
  Parameters:
    `index` - the attribute's index.
    `value` - the value to be assigned to the attribute.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Set the value for the named attribute.
  Parameters:
    `name` - the attribute's name.
    `value` - the value to be assigned to the attribute.
  Throws:
    `JboException`, - a runtime exception, i if `name` is unknown.

### getAttributeCount

    public int getAttributeCount()

  Counts the number of attributes.
  Returns:
    the number of attributes.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Find the index of the named attribute.
  Parameters:
    `name` - the attribute's name.
  Returns:
    an integer in the range `0` to `getAttributeCount()` - 1.
  Throws:
    `JboException`, - a runtime exception, if `name` is unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD